cli.deviceStart
POST /api/v1/cli/device. No authentication. Body limit: 256 KB.
POST
/api/v1/cli/device
Code sample: Shell / cURL
curl --request POST \ --url https://app.intraface.cc/api/v1/cli/device \ --header 'Content-Type: application/json' \ --data '{ "label": "example", "agent": "example" }'No authentication. Body limit: 256 KB.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
label
required
string
agent
string
Example generated
{ "label": "example", "agent": "example"}Responses
Section titled “Responses”Success.
Media typeapplication/json
object
device_code
required
string
user_code
required
string
verification_uri
required
string format: uri
expires_in
required
integer
interval
required
integer
Example generated
{ "device_code": "example", "user_code": "example", "verification_uri": "https://example.com", "expires_in": 1, "interval": 1}default
Section titled “default”Any error: see error.code.
Media typeapplication/json
object
error
required
object
code
required
A stable error code: see the error codes table in the API overview.
string
message
required
string
hint
string
details
Example generated
{ "error": { "code": "example", "message": "example", "hint": "example", "details": "example" }}